commit 9c26beecd29d2d18ef56209a13fd573ff8c6a7f1
Author: freddy77 <freddy77>
Date:   Thu Nov 19 08:45:49 2009 +0000

    fix SQLColAttributes for ODBC 2 clients

diff --git a/ChangeLog b/ChangeLog
index b2f344d..b8ada4d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Nov 19 09:44:19 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c: fix SQLColAttributes for ODBC 2 clients
+
 Thu Nov 19 09:32:38 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/config.c: fix typo in config.c
 
@@ -1889,4 +1892,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2882 2009/11/19 08:33:36 freddy77 Exp $
+$Id: ChangeLog,v 1.2883 2009/11/19 08:45:49 freddy77 Exp $
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index 9ec674f..ed72926 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.514 2009/10/03 09:19:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.515 2009/11/19 08:45:49 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -4763,12 +4763,12 @@ SQLGetFunctions(SQLHDBC hdbc, SQLUSMALLINT fFunction, SQLUSMALLINT FAR * pfExist
 		 * and then use it but I don't know how to build it...
 		 */
 #undef ODBC_ALL_API
-#undef ODBC_COLATTRIBUTES
+#undef ODBC_COLATTRIBUTE
 
 #if SQL_API_SQLCOLATTRIBUTE != SQL_API_SQLCOLATTRIBUTES
-#define ODBC_COLATTRIBUTES(s) s
+#define ODBC_COLATTRIBUTE(s) s
 #else
-#define ODBC_COLATTRIBUTES(s)
+#define ODBC_COLATTRIBUTE(s)
 #endif
 
 #define ODBC_ALL_API \
@@ -4783,8 +4783,8 @@ SQLGetFunctions(SQLHDBC hdbc, SQLUSMALLINT fFunction, SQLUSMALLINT FAR * pfExist
 	API3_(SQL_API_SQLBULKOPERATIONS);\
 	API_X(SQL_API_SQLCANCEL);\
 	API3X(SQL_API_SQLCLOSECURSOR);\
-	API3X(SQL_API_SQLCOLATTRIBUTE);\
-	ODBC_COLATTRIBUTES(API_X(SQL_API_SQLCOLATTRIBUTES);)\
+	ODBC_COLATTRIBUTE(API3X(SQL_API_SQLCOLATTRIBUTE);)\
+	API_X(SQL_API_SQLCOLATTRIBUTES);\
 	API_X(SQL_API_SQLCOLUMNPRIVILEGES);\
 	API_X(SQL_API_SQLCOLUMNS);\
 	API_X(SQL_API_SQLCONNECT);\

